<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=Content-Type content="text/html; charset=gbk">
<LINK href="<?=base_url()?>csdj/admin/images/admin.css" type="text/css" rel="stylesheet">
<script language='javascript' src='<?=base_url()?>csdj/admin/js/admin.js'></script>
</HEAD>
<BODY style="margin:2px">
<?php
//检测PHP设置参数

function show($varName)
{

	switch($result = get_cfg_var($varName))
	{

		case 0:

			return '<font color="red">×</font>';

		break;
		

		case 1:

			return '<font color=#0076AE>√</font>';

		break;
		

		default:

			return $result;

		break;

	}

}
//检测Mysql
function MyDB(){

    $getmysqlver=@mysql_get_server_info();
     if(empty($getmysqlver))
     {
      $getmysqlver='检测失败!';
     }
     $MysqlALL=explode(".",$getmysqlver);
     if($MysqlALL[0] < 5){
	return '<font color="red">×</font>';
     }else{
	return '<font color=#0076AE>√</font>';
     }

}
function isfun($funName = '')
{

    if (!$funName || trim($funName) == '' || preg_match('~[^a-z0-9\_]+~i', $funName, $tmp)) return '错误';

	return (false !== function_exists($funName)) ? '<font color=#0076AE>√</font>' : '<font color="red">×</font>';
}

?>
<table align="center" border="1" cellspacing="0" cellpadding="5" bordercolor="#C4DFF4" width="800" style="border-collapse:collapse;">
<tr>
	<td align="center" height="20" class="title" colspan="2"><?=$this->session->userdata('admin_name')?>,您好! &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	欢迎登陆妇美www.shaofumei.com 网站后台
	</td></tr>
<tr>
	<td>服务器操作系统：<?php $os = explode(" ", php_uname()); echo $os[0];?> &nbsp;内核版本：<?php if('/'==DIRECTORY_SEPARATOR){echo $os[2];}else{echo $os[1];} ?></td>
        <td>服务器解译引擎:<?php echo $_SERVER['SERVER_SOFTWARE'];?></td>
</tr>
<tr>
    	<td width="50%">服务器域名/IP地址：<?php echo $_SERVER['SERVER_NAME'];?>(<?php if('/'==DIRECTORY_SEPARATOR){echo $_SERVER['SERVER_ADDR'];}else{echo @gethostbyname($_SERVER['SERVER_NAME']);} ?>)</td>
    	<td width="50%">服务器主机名：<?php if('/'==DIRECTORY_SEPARATOR ){echo $os[1];}else{echo $os[2];} ?></td>
</tr>
<tr>
	<td>服务器语言：<?php echo getenv("HTTP_ACCEPT_LANGUAGE");?></td>
	<td>服务器端口：<?php echo $_SERVER['SERVER_PORT'];?></td>
</tr>
<tr>
	<td>绝对路径：<?php echo $_SERVER['DOCUMENT_ROOT']?str_replace('\\','/',$_SERVER['DOCUMENT_ROOT']):str_replace('\\','/',dirname(__FILE__));?></td>
	<td>虚拟路径：admin/main.php</td>
</tr>
<tr>
	<td>脚本超时时间：<?php echo ini_get('max_execution_time');?>秒</td>
	<td>socket超时时间：<?php echo show("default_socket_timeout");?>秒</td>
</tr>
<tr>
	<td>上传文件最大限制：<?php echo show("upload_max_filesize");?></td>
	<td>POST提交最大限制：<?php echo show("post_max_size");?></td>
</tr>
<tr>
	<td align="center" height="25" class="title" colspan="2">本系统需要的软件环境</td>
</tr>
<tr>
	<td>PHP版本&nbsp;(=>5.0)：<?php $PHPALL=explode(".",PHP_VERSION); if($PHPALL[1] < 1 && $PHPALL[1] < 2){ echo '<font color=red>×</font>';}else{ echo '<font color=#0076AE>√</font>';}?>&nbsp;&nbsp;(<?php echo PHP_VERSION;?>)</td>
	<td>Mysql版本&nbsp;(=>5.0)：<?php echo MyDB(); ?>&nbsp;&nbsp;(<?php echo mysql_get_server_info(); ?>)</td>
</tr>
<tr>
	<td>Curl支持：<?php echo function_exists('curl_init') ? "<font color=#0076AE>√</font>": "<font color=red>×&nbsp;请开启php_curl</font>&nbsp;&nbsp;(不符合要求将导致自动升级更新功能无法应用)";?></td>
	<td>SMTP支持：<?php echo get_cfg_var("SMTP")?'<font color=#0076AE>√</font>&nbsp;&nbsp;('.get_cfg_var("SMTP").')' : '<font color="red">×</font>';?></td>
</tr>
<tr>
	<td>Session支持：<?php echo isfun("session_start");?></td>
	<td>Iconv编码转换：<?php echo isfun("iconv");?></td>
</tr>     
</table>

<script type="text/javascript">
var version='<?=CS_Version?>';
var uptime='<?=CS_Uptime?>';
var admin='<?=SELF?>';
</script>
</BODY>
</HTML>

